std::_Base_bitset< _Nw > Struct Template Reference

`#include <bitset>`

## Public Types

typedef unsigned long | _WordT

## Public Member Functions

constexpr | _Base_bitset (unsigned long long __val) noexcept
template<size_t _Nb>
constexpr bool | _M_are_all () const noexcept
constexpr void | _M_do_and (const _Base_bitset< _Nw > &__x) noexcept
constexpr size_t | _M_do_count () const noexcept
constexpr size_t | _M_do_find_first (size_t) const noexcept
constexpr size_t | _M_do_find_next (size_t, size_t) const noexcept
constexpr void | _M_do_flip () noexcept
constexpr void | _M_do_left_shift (size_t __shift) noexcept
constexpr void | _M_do_or (const _Base_bitset< _Nw > &__x) noexcept
constexpr void | _M_do_reset () noexcept
constexpr void | _M_do_right_shift (size_t __shift) noexcept
constexpr void | _M_do_set () noexcept
constexpr unsigned long long | _M_do_to_ullong () const
constexpr unsigned long | _M_do_to_ulong () const
constexpr void | _M_do_xor (const _Base_bitset< _Nw > &__x) noexcept
constexpr const _WordT * | _M_getdata () const noexcept
constexpr _WordT | _M_getword (size_t __pos) const noexcept
constexpr _WordT & | _M_getword (size_t __pos) noexcept
constexpr _WordT | _M_hiword () const noexcept
constexpr _WordT & | _M_hiword () noexcept
constexpr bool | _M_is_any () const noexcept
constexpr bool | _M_is_equal (const _Base_bitset< _Nw > &__x) const noexcept

## Static Public Member Functions

static constexpr _WordT | _S_maskbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbit (size_t __pos) noexcept
static constexpr size_t | _S_whichbyte (size_t __pos) noexcept
static constexpr size_t | _S_whichword (size_t __pos) noexcept

## Public Attributes

_WordT | _M_w [_Nw]

## Detailed Description

template<size_t _Nw>
struct std::_Base_bitset< _Nw >

Base class, general case. It is a class invariant that _Nw will be nonnegative.

See documentation for bitset.

Definition at line 83 of file bitset.

## Member Typedef Documentation

## _WordT

template<size_t _Nw>

typedef unsigned long std::_Base_bitset< _Nw >::_WordT

Definition at line 85 of file bitset.

## Constructor & Destructor Documentation

## _Base_bitset() [1/2]

template<size_t _Nw>

constexpr std::_Base_bitset< _Nw >::_Base_bitset | ( |  | ) |

inline constexpr noexcept

Definition at line 90 of file bitset.

## _Base_bitset() [2/2]

template<size_t _Nw>

constexpr std::_Base_bitset< _Nw >::_Base_bitset | ( | unsigned long long | __val | ) |

inline constexpr noexcept

Definition at line 94 of file bitset.

## Member Function Documentation

## _M_are_all()

template<size_t _Nw>
template<size_t _Nb>

constexpr bool std::_Base_bitset< _Nw >::_M_are_all | ( |  | ) | const

inline constexpr noexcept

Definition at line 210 of file bitset.

## _M_do_and()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_and | ( | const _Base_bitset< _Nw > & | __x | ) |

inline constexpr noexcept

Definition at line 145 of file bitset.

## _M_do_count()

template<size_t _Nw>

constexpr size_t std::_Base_bitset< _Nw >::_M_do_count | ( |  | ) | const

inline constexpr noexcept

Definition at line 230 of file bitset.

## _M_do_find_first()

template<size_t _Nw>

constexpr size_t std::_Base_bitset< _Nw >::_M_do_find_first | ( | size_t | __not_found | ) | const

constexpr noexcept

Definition at line 338 of file bitset.

## _M_do_find_next()

template<size_t _Nw>

constexpr size_t std::_Base_bitset< _Nw >::_M_do_find_next | ( | size_t | __prev,
|  | size_t | __not_found
| ) |  | const

constexpr noexcept

Definition at line 354 of file bitset.

## _M_do_flip()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_flip | ( |  | ) |

inline constexpr noexcept

Definition at line 172 of file bitset.

## _M_do_left_shift()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_left_shift | ( | size_t | __shift | ) |

constexpr noexcept

Definition at line 258 of file bitset.

## _M_do_or()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_or | ( | const _Base_bitset< _Nw > & | __x | ) |

inline constexpr noexcept

Definition at line 152 of file bitset.

## _M_do_reset()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_reset | ( |  | ) |

inline constexpr noexcept

Definition at line 186 of file bitset.

## _M_do_right_shift()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_right_shift | ( | size_t | __shift | ) |

constexpr noexcept

Definition at line 284 of file bitset.

## _M_do_set()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_set | ( |  | ) |

inline constexpr noexcept

Definition at line 179 of file bitset.

## _M_do_to_ullong()

template<size_t _Nw>

constexpr unsigned long long std::_Base_bitset< _Nw >::_M_do_to_ullong | ( |  | ) | const

constexpr

Definition at line 322 of file bitset.

## _M_do_to_ulong()

template<size_t _Nw>

constexpr unsigned long std::_Base_bitset< _Nw >::_M_do_to_ulong | ( |  | ) | const

constexpr

Definition at line 311 of file bitset.

## _M_do_xor()

template<size_t _Nw>

constexpr void std::_Base_bitset< _Nw >::_M_do_xor | ( | const _Base_bitset< _Nw > & | __x | ) |

inline constexpr noexcept

Definition at line 159 of file bitset.

## _M_getdata()

template<size_t _Nw>

constexpr const _WordT * std::_Base_bitset< _Nw >::_M_getdata | ( |  | ) | const

inline constexpr noexcept

Definition at line 132 of file bitset.

## _M_getword() [1/2]

template<size_t _Nw>

constexpr _WordT std::_Base_bitset< _Nw >::_M_getword | ( | size_t | __pos | ) | const

inline constexpr noexcept

Definition at line 127 of file bitset.

## _M_getword() [2/2]

template<size_t _Nw>

constexpr _WordT & std::_Base_bitset< _Nw >::_M_getword | ( | size_t | __pos | ) |

inline constexpr noexcept

Definition at line 123 of file bitset.

## _M_hiword() [1/2]

template<size_t _Nw>

constexpr _WordT std::_Base_bitset< _Nw >::_M_hiword | ( |  | ) | const

inline constexpr noexcept

Definition at line 141 of file bitset.

## _M_hiword() [2/2]

template<size_t _Nw>

constexpr _WordT & std::_Base_bitset< _Nw >::_M_hiword | ( |  | ) |

inline constexpr noexcept

Definition at line 137 of file bitset.

## _M_is_any()

template<size_t _Nw>

constexpr bool std::_Base_bitset< _Nw >::_M_is_any | ( |  | ) | const

inline constexpr noexcept

Definition at line 221 of file bitset.

## _M_is_equal()

template<size_t _Nw>

constexpr bool std::_Base_bitset< _Nw >::_M_is_equal | ( | const _Base_bitset< _Nw > & | __x | ) | const

inline constexpr noexcept

Definition at line 200 of file bitset.

## _S_maskbit()

template<size_t _Nw>

static constexpr _WordT std::_Base_bitset< _Nw >::_S_maskbit | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 119 of file bitset.

## _S_whichbit()

template<size_t _Nw>

static constexpr size_t std::_Base_bitset< _Nw >::_S_whichbit | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 115 of file bitset.

## _S_whichbyte()

template<size_t _Nw>

static constexpr size_t std::_Base_bitset< _Nw >::_S_whichbyte | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 111 of file bitset.

## _S_whichword()

template<size_t _Nw>

static constexpr size_t std::_Base_bitset< _Nw >::_S_whichword | ( | size_t | __pos | ) |

inline static constexpr noexcept

Definition at line 107 of file bitset.

## Member Data Documentation

## _M_w

template<size_t _Nw>

_WordT std::_Base_bitset< _Nw >::_M_w[_Nw]

0 is the least significant word.

Definition at line 88 of file bitset.

The documentation for this struct was generated from the following file:

- bitset